xcb_translate_coordinates(3)

NAME
xcb_translate_coordinates -

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_translate_coordinates_cookie_t xcb_translate_coordinates(xcb_connection_t *conn, xcb_window_t src_window, xcb_window_t dst_window, int16_t src_x, int16_t src_y);

  Reply datastructure

typedef struct xcb_translate_coordinates_reply_t {
    uint8_t      response_type;
    uint8_t      same_screen;
    uint16_t     sequence;
    uint32_t     length;
    xcb_window_t child;
    int16_t      dst_x;
    int16_t      dst_y;
} xcb_translate_coordinates_reply_t;

  Reply function

xcb_translate_coordinates_reply_t *xcb_translate_coordinates_reply(xcb_connection_t *conn, xcb_translate_coordinates_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

src_window
    TODO: NOT YET DOCUMENTED.

dst_window
    TODO: NOT YET DOCUMENTED.

src_x
    TODO: NOT YET DOCUMENTED.

src_y
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_TRANSLATE_COORDINATES. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

same_screen
    TODO: NOT YET DOCUMENTED.

child
    TODO: NOT YET DOCUMENTED.

dst_x
    TODO: NOT YET DOCUMENTED.

dst_y
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_translate_coordinates_cookie_t. Errors have to be handled when calling the reply function xcb_translate_coordinates_reply. If you want to handle errors in the event loop instead, use xcb_translate_coordinates_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.